export type PlayerElementParams = {
    config: Record<string, unknown>;
    env: Record<string, unknown>;
    session?: Record<string, unknown>;
    attributes?: Record<string, string>;
    props?: Record<string, unknown>;
};
type PlayerActionOptions = {
    stateKey: string;
    includeSessionRefInState?: boolean;
};
export declare function createPlayerAction(options: PlayerActionOptions): (node: HTMLElement, params: PlayerElementParams) => {
    update(nextParams: PlayerElementParams): void;
    destroy(): void;
};
export {};
